Skip to main content
POST
Register Supplier

Authorizations

Authorization
string
header
required

Base64-encode your API key and pass it. Enter the API key as the username and leave the password empty.

Body

application/json

Information about the supplier (issuer) that issues tax invoices. This is the request body of the Register Supplier API (POST /v1/suppliers).

identificationNumber
string
required

Business registration number

Pattern: ^\d{10}$
Example:

"1234567890"

organizationName
string
required

Organization name

Required string length: 1 - 70
representativeName
string
required

Representative name

Required string length: 1 - 30
taxRegistrationId
string

Sub-business place code

Required string length: 4
Pattern: ^(?!0{4})\d{4}$
Examples:

"0001"

"0002"

Response

supplierKey
string
required

Supplier (issuer) identification key

identificationNumber
string
required

Business registration number

Pattern: ^\d{10}$
Example:

"1234567890"

organizationName
string
required

Organization name

Required string length: 1 - 70
representativeName
string
required

Representative name

Required string length: 1 - 30
taxRegistrationId
string

Sub-business place code

Required string length: 4
Pattern: ^(?!0{4})\d{4}$
Examples:

"0001"

"0002"

certificate
object